ZapytanieBetaQuery.purchaseOrder
One purchase order by its identifier; null when there is no such order.
| Wymagany zakres | warehouse:read |
|---|---|
| Dostępne od | Prynt 0.28.0 |
| Stabilność | Beta (co to znaczy) |
Argumenty
| Nazwa | Typ | Opis |
|---|---|---|
idwymagane | ID! | Identifier of the purchase order. |
Zwraca
Przykład
query PurchaseOrder($id: ID!) { purchaseOrder(id: $id) { id code status currency expectedDeliveryAt receivedAt totalNet items { id description quantity unit unitPrice receivedQuantity } }}{ "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b07"}curl -sS https://twoja-drukarnia.prynt.pl/api/v1/graphql \ -H "Authorization: Bearer $PRYNT_API_KEY" \ -H "Content-Type: application/json" \ --data-binary @- <<'JSON'{ "query": "query PurchaseOrder($id: ID!) {\n purchaseOrder(id: $id) {\n id\n code\n status\n currency\n expectedDeliveryAt\n receivedAt\n totalNet\n items {\n id\n description\n quantity\n unit\n unitPrice\n receivedQuantity\n }\n }\n}", "variables": { "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b07" }}JSON{ "data": { "purchaseOrder": { "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b07", "code": "PO-240", "status": "PARTIALLY_RECEIVED", "currency": "PLN", "expectedDeliveryAt": "2026-10-08T08:00:00.000Z", "receivedAt": null, "totalNet": 1740, "items": [ { "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b08", "description": "Kreda mat 130g 70x100", "quantity": 2000, "unit": "ark.", "unitPrice": 0.42, "receivedQuantity": 2000 }, { "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b09", "description": "Pantone 1935 C", "quantity": 5, "unit": "kg", "unitPrice": 180, "receivedQuantity": 2.5 } ] } }}